Vybíráme webhosting pro web v redakčním systému Joomla!

Rozhodli jste se vyzkoušet si tvorbu webových stránek v redakčním systému Joomla? Vaše další kroky by měly směřovat k volbě webhostingu, protože ačkoliv většina webhostingů redakční systém Joomla! podporuje, není to pravidlem. V tomto článku se dozvíte, jaká kritéria musíte zvážit při volbě správného webhostingu pro váš web v redakčním systému Joomla!

Reklama

Správný webhosting je základ

Možná si říkáte, že je to vlastně jedno, kde budete své webové stránky hostovat, ale věřte, že není radno výběr webhostingu podceňovat. Jedna správná volba vám může ušetřit spoustu problémů v budoucnu.

Jednotlivé webhostingy se od sebe liší nejen cenou, ale hlavně kvalitou a rozsahem poskytovaných služeb. A to platí zejména, pokud jde o Joomla!

Technické požadavky pro instalaci redakčního systému Joomla!

Redakční systém Joomla! vyžaduje určité technické podmínky, a ty se liší podle verze Joomla!, kterou hodláte použít, jak vidíte v níže uvedených tabulkách. K výběru verze si povíme více níže, protože zde neplatí automaticky - čím novější, tím lepší.

Požadavky na webhosting pro Joomla 1.7.x a 1.6.x

Software
Doporučené
Minimální
PHP
5.3 +
5.2.4 +
MySQL
5.0.4 +
5.0.4 +
Apache
(s mod_mysql, mod_xml,
a mod_zlib)
2.x +
2.x +
Microsoft IIS
7
7

Požadavky na webhosting pro Joomla 1.5.x

Software
Doporučené
Minimální
PHP*
5.2 +
4.3.10
MySQL**
4.1.x +
3.23
Apache***
(with mod_mysql, mod_xml,
and mod_zlib)
2.x +
1.3
Microsoft IIS****
7
6

Podpora redakčního systému Joomla!

Pokud jste pevně rozhodnuti, že chcete webové stránky v redakčním systému Joomla!, pak pátrejte v nabídce po webhostingu, který Joomla! podporuje (z českých free webhostingů je to např. Endora. Díky rozšířenosti tohoto redakčního systému jej většina webhostingů podporuje, ale přesto se nestyďte zeptat, pokud tuto informaci nenajdete ve specifikaci služeb. Důležité je zejména zjistit si verzi PHP na serverech webhostingu, k čemuž vám povím více níže.

Rozdíly v instalaci Joomla!

I mezi webhostingy, které Joomla! podporují je rozdíl - některé umožňují zjednodušenou automatickou instalaci Joomla! pár kliky, kdy si jen zvolíte, jakou verzi Joomla! chcete instalovat, a na jakou doménu, a zbytek, včetně vytvoření databáze, zařídí webhosting za vás. Manuální instalace Joomla! je o poznání složitější. Musíte si sami vytvořit databázi, nakopírovat a rozbalit instalační balíček na server, a poté jej nainstalovat a propojit s databází. Pro porovnání, v tomto článku najdete návod na automatickou a manuální instalaci Joomla!.

Výběr hostingu naruby

Rozšíření a šablony pro redakční systém Joomla! nejsou univerzálně použitelné pro všechny verze. Při jejich výběru musíte brát ohled na verzi Joomla!, kterou hodláte instalovat a naopak. Proto osobně razím koncept výběru naruby - podle šablony volím verzi Joomla! a webhosting. Samozřejmě je to otázka priorit. Pokud z nějakého důvodu chcete určitou verzi Joomla! (např. kvůli rozšíření, které není dostupné pro jinou verzi), a estetickou stránku webu vnímáte jako podružnou, pak hledáte mezi šablonami, které jsou pro verzi Joomla!, kterou jste si předem zvolili.

Jak jsem již uvedla výše, u redakčního systému Joomla! neplatí nutně pravidlo “nejnovější verze je ta nejlepší”. Dá se říci, že pro verzi 1.5.x existuje nejvíce rozšíření i šablon. Pro verzi 1.6.x naopak nejméně, a pro verzi 1.7.x, která je aktuální, jich není málo a dále se vyvíjejí.

Pokud jde o šablony, zejména ty placené, pak doporučuju začít výběrem naruby - tj. vybrat si šablonu, od které se odvíjí verze Joomla!, a od ní pak webhosting.

To platí zejména u šablon pro eshopy, které využívají rozšíření Virtuemart. Šablon pro Virtuemart totiž není tolik, jako pro Joomla! samotný, a jejich největším prodejcem je Templatemonster. Říkáte si - tak se podívám jinde, ovšem pravda je, že cca 80% ostatních prodejců šablon pro Virtuemart jen přeprodávají šablony Templatemonster. A Templatemonster aktuálně nabízí šablony pro verze 1.1.4, 1.1.7 a 1.1.8. Problém pak může nastat u šablon pro verzi 1.1.4, které vyžadují starší verzi PHP, kterou ovšem nemusí váš webhosting podporovat.

Konkrétní případ se mi stal s českým webhostingem WEDOS, když jsem nainstalovala šablonu pro Virtuemart zdarma. Tato šablona byla pro Virtuemart 1.1.4, který nešel na WEDOSu rozchodit bez PHP errorových hlášek, protože používali novější verzi PHP, která nebyla kompatibilní s webem, a downgrade nebyl možný.

Podpora mi doporučila vybrat si šablonu pro vyšší verzi Virtuemartu. Šablona pro Virtuemart a není levná záležitost - vyjde v průměru na 2 500 Kč, takže zjistit posléze, že si budete muset pořídit ještě jiný webhosting, nebo koupit jinou šablonu, celou záležitost jen prodraží. Přitom ona zmiňovaná šablona zdarma nevypadá zle, a po pár lehkých úpravách může většině začínajících eshopů stačit.

Z osobních zkušeností tedy doporučuji nejdříve vybrat šablonu, případně rozšíření (pokud potřebujete nějaké nadstandardní funkce), od nich se odrazit ve výběru verze Joomla!, potažmo webhostingu. Ušetříte si tak zklamání, a možná i peníze, při zjištění, že váš web snů na zvoleném webhostingu slušně fungovat nebude.

Samozřejmě, pokud už webhosting máte, a chcete si na něj přidat další z mnoha webů, pak vám nezbyde než provést opačnou kalkulaci - přizpůsobit volbu verze Joomla!, šablony a rozšíření parametrům vašeho stávajícího webhostingu.

Který webhosting je tedy ten pravý?

Berličkou při výběru webhostingů vám může být například mé srovnání webhostingů Hostmonster a WEDOS, se kterými mám osobní zkušenosti, nebo náš přehled českých webhostingů a srovnávač webhostingů Hostingy.cz.

Reklama

Přidat komentář